# -*- coding: utf-8 -*-
import pymysql
from hacg.items import ArticleItem, CommentItem


class HacgPipeline(object):
    def __init__(self):
        self.connection = pymysql.connect(host='192.168.64.2', port=3306, user='root', password='', database='liuli', charset='utf8mb4')
        self.cursor = self.connection.cursor()
        self._sql1 = None
        self._sql2 = None

    def process_item(self, item, spider):
        #插入一条文章
        if isinstance(item, ArticleItem):
            self.cursor.execute(self.sql1, (item['ID'], item['guid'], item['pub_time'], item['pub_time'], item['content'], item['title']))
            self.connection.commit()

        #插入一条评论
        if isinstance(item, CommentItem):
            self.cursor.execute(self.sql2, (item['comment_id'], item['comment_post_id'], item['comment_author'], item['comment_date'], item['comment_date'], item['comment_content'], item['comment_author_email']))
            self.connection.commit()
        return item

    @property
    def sql1(self):
        if not self._sql1:
            self._sql1 = """
            insert into wp_posts(ID, guid, post_date, post_date_gmt, post_content, post_title) values(%s, %s, %s, %s, %s, %s)
            """
        return self._sql1
    

    @property
    def sql2(self):
        if not self._sql2:
            self._sql2 = """
            insert into wp_comments(comment_ID, comment_post_ID, comment_author, comment_date, comment_date_gmt, comment_content, comment_author_email) values(%s, %s, %s, %s, %s, %s, %s)
            """
        return self._sql2
    